<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve the question 2 solution.</p>
		<button onclick="sudkoMatrix()">Check status of sudko matrix</button>
		<p id="demo"></p>

		<script>
			function sudkoMatrix() {
				function sudoku(matrix){
   					for(var i=0;i<matrix.length;i++){
       					var row=[]
       					var col=[]

       					for(var j=0;j<matrix[0].length;j++){
           					if(matrix[i][j]!=0){
               				row.push(matrix[i][j])
           				}
           				if(matrix[j][i]!=0){
               				col.push(matrix[j][i])
           				}
       				}

       				//ckeck frequency
       				var rowSort= row.sort(function(x, y){
           			return x - y;
          			});
       				for(var k=1;k<rowSort.length;k++){
           				if(rowSort[k-1]==rowSort[k]){
               				return 0
           				}
       				}

       				var colSort= col.sort(function(x, y){
       				return x - y;
       				});
       				for(var k=1;k<colSort.length;k++){
           			if(colSort[k-1]==colSort[k]){
               			return 0;
           			}
       			}
   			}
   			return 1
		}

		var matrix=[
			[3,6,7,5,3,5,6,2,9],
			[1,2,7,0,9,3,6,0,6],
			[2,6,1,8,7,9,2,0,2],
			[3,7,5,9,2,2,8,9,7],
			[3,6,1,2,9,3,1,9,4],
			[7,8,4,5,0,3,6,1,0],
			[6,3,2,0,6,1,5,5,4],
			[7,6,5,6,9,3,7,4,5],
		[2,5,4,7,4,4,3,0,7]
		]

		console.log(sudoku(matrix))
			}
		</script>

	</body>
</html>